<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: GEListGenome Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_g_e_list_genome-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GEListGenome Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_g_e_list_genome_8h_source.html">GEListGenome.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for GEListGenome:</div>
<div class="dyncontent">
<div class="center"><img src="class_g_e_list_genome__inherit__graph.png" border="0" usemap="#_g_e_list_genome_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for GEListGenome:</div>
<div class="dyncontent">
<div class="center"><img src="class_g_e_list_genome__coll__graph.png" border="0" usemap="#_g_e_list_genome_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1320e2bfb7fdf0dce9cf1fa921850cb1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a1320e2bfb7fdf0dce9cf1fa921850cb1">GEListGenome</a> ()</td></tr>
<tr class="separator:a1320e2bfb7fdf0dce9cf1fa921850cb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71564c24bbfd58dac6b2487fb341477"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#af71564c24bbfd58dac6b2487fb341477">GEListGenome</a> (const <a class="el" href="class_g_e_list_genome.html">GEListGenome</a> &amp;source)</td></tr>
<tr class="separator:af71564c24bbfd58dac6b2487fb341477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d8da98535d388c7d2f42daf065f8b43"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a2d8da98535d388c7d2f42daf065f8b43">~GEListGenome</a> ()</td></tr>
<tr class="separator:a2d8da98535d388c7d2f42daf065f8b43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056e89f4b46146e92d625ed63be8396a"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_g_e_list_genome.html">GEListGenome</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a056e89f4b46146e92d625ed63be8396a">clone</a> (GAGenome::CloneMethod method) const</td></tr>
<tr class="separator:a056e89f4b46146e92d625ed63be8396a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab887cac73957f5aa2496ad63e823f730"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#ab887cac73957f5aa2496ad63e823f730">copy</a> (const GAGenome &amp;source)</td></tr>
<tr class="separator:ab887cac73957f5aa2496ad63e823f730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f1514f6e8b7d2e082da2dd8adb127db"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a8f1514f6e8b7d2e082da2dd8adb127db">equal</a> (const GAGenome &amp;source) const</td></tr>
<tr class="separator:a8f1514f6e8b7d2e082da2dd8adb127db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5a6f4d191251c296d30dc14eaf86455"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#ad5a6f4d191251c296d30dc14eaf86455">operator=</a> (const GAGenome &amp;source)</td></tr>
<tr class="separator:ad5a6f4d191251c296d30dc14eaf86455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63e7099d4398f546a75e22f21f87afd9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a63e7099d4398f546a75e22f21f87afd9">getEffectiveSize</a> () const</td></tr>
<tr class="separator:a63e7099d4398f546a75e22f21f87afd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c16b0d2d3e3e1505e72dedc78766a71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a6c16b0d2d3e3e1505e72dedc78766a71">setEffectiveSize</a> (const int newEffSize)</td></tr>
<tr class="separator:a6c16b0d2d3e3e1505e72dedc78766a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ebce36f83a1d946fa6c56a4cb4cb49d"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a6ebce36f83a1d946fa6c56a4cb4cb49d">getTestFitness</a> () const</td></tr>
<tr class="separator:a6ebce36f83a1d946fa6c56a4cb4cb49d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78f93ec09d4861138151634fd97a42e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#ae78f93ec09d4861138151634fd97a42e">setTestFitness</a> (const double tFitness)</td></tr>
<tr class="separator:ae78f93ec09d4861138151634fd97a42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7411fdb87fd349346571c96acfa87416"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a7411fdb87fd349346571c96acfa87416">effCrossover</a> (const GAGenome &amp;p1, const GAGenome &amp;p2, GAGenome *c1, GAGenome *c2)</td></tr>
<tr class="separator:a7411fdb87fd349346571c96acfa87416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8967ed77758986d9e73497f76b323d60"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_list_genome.html#a8967ed77758986d9e73497f76b323d60">pointMutator</a> (GAGenome &amp;g, float pmut)</td></tr>
<tr class="separator:a8967ed77758986d9e73497f76b323d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1320e2bfb7fdf0dce9cf1fa921850cb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1320e2bfb7fdf0dce9cf1fa921850cb1">&#9670;&nbsp;</a></span>GEListGenome() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEListGenome::GEListGenome </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af71564c24bbfd58dac6b2487fb341477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af71564c24bbfd58dac6b2487fb341477">&#9670;&nbsp;</a></span>GEListGenome() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEListGenome::GEListGenome </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_g_e_list_genome.html">GEListGenome</a> &amp;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d8da98535d388c7d2f42daf065f8b43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d8da98535d388c7d2f42daf065f8b43">&#9670;&nbsp;</a></span>~GEListGenome()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GEListGenome::~GEListGenome </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a056e89f4b46146e92d625ed63be8396a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056e89f4b46146e92d625ed63be8396a">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a> * GEListGenome::clone </td>
          <td>(</td>
          <td class="paramtype">GAGenome::CloneMethod&#160;</td>
          <td class="paramname"><em>method</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab887cac73957f5aa2496ad63e823f730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab887cac73957f5aa2496ad63e823f730">&#9670;&nbsp;</a></span>copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GEListGenome::copy </td>
          <td>(</td>
          <td class="paramtype">const GAGenome &amp;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7411fdb87fd349346571c96acfa87416"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7411fdb87fd349346571c96acfa87416">&#9670;&nbsp;</a></span>effCrossover()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int GEListGenome::effCrossover </td>
          <td>(</td>
          <td class="paramtype">const GAGenome &amp;&#160;</td>
          <td class="paramname"><em>p1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const GAGenome &amp;&#160;</td>
          <td class="paramname"><em>p2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GAGenome *&#160;</td>
          <td class="paramname"><em>c1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GAGenome *&#160;</td>
          <td class="paramname"><em>c2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f1514f6e8b7d2e082da2dd8adb127db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f1514f6e8b7d2e082da2dd8adb127db">&#9670;&nbsp;</a></span>equal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int GEListGenome::equal </td>
          <td>(</td>
          <td class="paramtype">const GAGenome &amp;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a63e7099d4398f546a75e22f21f87afd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63e7099d4398f546a75e22f21f87afd9">&#9670;&nbsp;</a></span>getEffectiveSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GEListGenome::getEffectiveSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ebce36f83a1d946fa6c56a4cb4cb49d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ebce36f83a1d946fa6c56a4cb4cb49d">&#9670;&nbsp;</a></span>getTestFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GEListGenome::getTestFitness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5a6f4d191251c296d30dc14eaf86455"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5a6f4d191251c296d30dc14eaf86455">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_g_e_list_genome.html">GEListGenome</a> GEListGenome::operator= </td>
          <td>(</td>
          <td class="paramtype">const GAGenome &amp;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8967ed77758986d9e73497f76b323d60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8967ed77758986d9e73497f76b323d60">&#9670;&nbsp;</a></span>pointMutator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int GEListGenome::pointMutator </td>
          <td>(</td>
          <td class="paramtype">GAGenome &amp;&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pmut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c16b0d2d3e3e1505e72dedc78766a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c16b0d2d3e3e1505e72dedc78766a71">&#9670;&nbsp;</a></span>setEffectiveSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEListGenome::setEffectiveSize </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>newEffSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae78f93ec09d4861138151634fd97a42e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae78f93ec09d4861138151634fd97a42e">&#9670;&nbsp;</a></span>setTestFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEListGenome::setTestFitness </td>
          <td>(</td>
          <td class="paramtype">const double&#160;</td>
          <td class="paramname"><em>tFitness</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_g_e_list_genome_8h_source.html">GEListGenome.h</a></li>
<li>src/<a class="el" href="_g_e_list_genome_8cpp.html">GEListGenome.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
